Bug 476596 - Please add support for ALi m5602 webcams
Please add support for ALi m5602 webcams
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-15 19:49 EST by Kevin J. Cummings
Modified: 2009-07-14 11:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:53:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin J. Cummings 2008-12-15 19:49:00 EST
Description of problem:
There is no support in the Fedora kernels for ALi m5602 webcams in laptops.


Version-Release number of selected component (if applicable):
Dec  9 22:53:48 kjclap kernel: usb 1-6: configuration #1 chosen from 1 choice
Dec  9 22:53:49 kjclap kernel: usb 1-6: New USB device found, idVendor=0402, idProduct=5602
Dec  9 22:53:49 kjclap kernel: usb 1-6: New USB device strings: Mfr=0, Product=1, SerialNumber=0
Dec  9 22:53:49 kjclap kernel: usb 1-6: Product: USB2.0 Camera


How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:
The kernel recognizes the device but has no support for it.

Expected results:
I expect to find a working webcam since my laptop is about to turn 2 years old,
and drivers for it are now available.

Additional info:
There exists a set of patches to the 2.6.27 kernels to enable support for this webcam on various sets of hardware at http://lwn.net/Articles/301180/
I would like to see this support added to some Fedora kernels (F9, F10, and/or rawhide) so we can see how well it works with existing hardware.
Comment 1 Filipe Rosset 2009-04-29 02:50:39 EDT
Please read https://bugzilla.redhat.com/show_bug.cgi?id=473968#c3 and follow the instructions.
Comment 2 Bug Zapper 2009-06-09 23:26:02 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 11:53:41 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.